API Documentation V2 (switch to V1)

přepnout na češtinu

The current "TOKEN" can be found in your administration. You can find sample requests in the POSTMAN collection.


Catalog

Use catalog management via API only after consulting with a Fulfillment CZ representative. In most cases, it is handled via an XML file.
Description:

list of products

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/products?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/products?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No Product ID (to display only a specific product)
active int No Variant activity (0/1)
code string No DS code of the variant
ext_code string No Supplier variant code
limit int No Number of requested records (default = 100, max = 100)
offset int No Determines the starting offset for results (default = 0)
sort string No Record sorting
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "id": 1,
            "category_id": 1,
            "name": "Horké kameny",
            "variants": [
                {
                    "id": 1,
                    "size_id": A4,
                    "name": "červené",
                    "code": "DS12345678",
                    "ext_code": "xyz",
                    "ean": "...",
                    "price_purchase": null,
                    "price_wholesale": 43.21,
                    "price_retail": 81.81,
                    "preview_image": "https://cdn.fulfillment.cz/images/3/3/c/3/3/9/2/3/c/2/ad49b23bd4e7ef694a131b.png",
                    "tracking": {
                        "expiration": false,
                        "batch_number": false,
                        "lot_id": false,
                        "serial_number": true,
                    }
                },
                {
                    "id": 2,
                    "size_id": A4,
                    "name": "černé",
                    "code": "DS12345679",
                    "ext_code": "xzy",
                    "ean": "...",
                    "price_purchase": null,
                    "price_wholesale": 43.21,
                    "price_retail": 81.81,
                    "preview_image": "https://cdn.fulfillment.cz/images/3/3/c/3/3/9/2/3/c/2/ad49b23bd4e7ef694a131c.png"
                    "tracking": {
                        "expiration": false,
                        "batch_number": false,
                        "lot_id": false,
                        "serial_number": true,
                    }
                }
            ]
        }
    ]
}
Response fields description:
Key Type Comment
id int Product ID
category_id int|NULL Category ID (if the product is assigned to a category).
name string Product name
variants.id int Variant ID
variants.size_id string|NULL Handling unit size
variants.name string Name of variant
variants.code string DS code of the variant
variants.ext_code string Your variant code
variants.ean string Variant EAN
variants.price_purchase float|NULL Purchase price of variant excluding VAT
variants.price_wholesale float|NULL Wholesale price of variant (excluding VAT)
variants.price_retail float|NULL Recommended retail price of the variant excluding VAT
variants.preview_image string Variant image
variants.tracking object Tracking parameter setting
variants.tracking.expiration bool Tracking of expiration
variants.tracking.batch_number bool Tracking of batch number
variants.tracking.lot_id bool Tracking of LOT
variants.tracking.serial_number bool Tracking of serial numbers
Description:

creating products

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/products

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/products HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "category_id": 1,
    "name": "Horké kameny",
    "variant_name": "červené",
    "ext_code": "xyz",
    "ean": "...",
    "price_purchase": null,
    "price_wholesale": 43.21,
    "price_retail": 99.21,
    "preview_image": "https://upload.wikimedia.org/wikipedia/commons/f/f0/Wikitext-wiki_markup-wikipedia.png",
    "tracking": {
        "expiration": false,
        "batch_number": false,
        "lot_id": false,
        "serial_number": true,
    }
}
Request fields description:
Key Type Mandatory Comment
category_id int|NULL Yes Category ID
name string Yes Product name
variant_name string Yes Variant name (if it is a product without variants, send an empty string)
ext_code string Yes Product/variant code from your system
ean string Yes Product/variant EAN
price_purchase float|NULL No Purchase price of variant excluding VAT
price_wholesale float|NULL No Wholesale price of variant (excluding VAT)
price_retail float|NULL No Recommended retail price of the variant excluding VAT
preview_image string|NULL No Product photo URL OR as a base64 encoded string (JVBERi0xLjMNCiXi48/TDQoNCjE...).
tracking object|NULL No Tracking parameter setting. It only works to enable parameter tracking. If you need to disable tracking, please contact our technical support.
tracking.expiration bool No Tracking of expiration
tracking.batch_number bool No Tracking of batch number
tracking.lot_id bool No Tracking of LOT
tracking.serial_number bool No Tracking of serial numbers
JSON response:

HTTP/1.1 201
Content-type: application/json;

{
    "code": 201,
    "message": "",
    "data": {
        "id": 1,
        "variant_id": 1
        "variant_code": "DS12345678"
    }
}
Response fields description:
Key Type Comment
id int Product ID in fulfillment.cz system
variant_id int Variant ID in fulfillment.cz system
variant_code string Variant code in fulfillment.cz system
Description:

product editing

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/products/<id>

JSON request:

PUT https://client.api.fulfillment.cz/v2/fulfillment/products/<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "category_id": 1,
    "name": "Horké kameny"
}
Request fields description:
Key Type Mandatory Comment
category_id int|NULL Yes Category ID
name string Yes Product name
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}

Use catalog management via API only after consulting with a Fulfillment CZ representative. In most cases, it is handled via an XML file.
Description:

list of variants for a specific product

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/products/<productId>/variants?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/products<productId>/variants?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No Product ID (to display only a specific variant)
active int No Variant activity (0/1)
code string No DS code of the variant
ext_code string No Supplier variant code
limit int No Number of requested records (default = 100, max = 100)
offset int No Determines the starting offset for results (default = 0)
sort string No Record sorting
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 2,
    "data": [
        {
            "id": 1,
            "size_id": A4,
            "name": "červené",
            "code": "DS12345678",
            "ext_code": "xyz",
            "ean": "...",
            "price_purchase": null,
            "price_wholesale": 43.21,
            "price_retail": 81.81,
            "preview_image": "https://cdn.fulfillment.cz/images/3/3/c/3/3/9/2/3/c/2/ad49b23bd4e7ef694a131b.png",
            "tracking": {
                "expiration": false,
                "batch_number": false,
                "lot_id": false,
                "serial_number": true,
            }
        },
        {
            "id": 2,
            "size_id": A4,
            "name": "černé",
            "code": "DS12345679",
            "ext_code": "xzy",
            "ean": "...",
            "price_purchase": null,
            "price_wholesale": 43.21,
            "price_retail": 81.81,
            "preview_image": "https://cdn.fulfillment.cz/images/3/3/c/3/3/9/2/3/c/2/ad49b23bd4e7ef694a131c.png",
            "tracking": {
                "expiration": false,
                "batch_number": false,
                "lot_id": false,
                "serial_number": true,
            }
        }
    ]
}
Response fields description:
Key Type Comment
id int Variant ID
size_id string|NULL Handling unit size
name string Name of variant
code string DS code of the variant
ext_code string Your variant code
ean string Variant EAN
price_purchase float|NULL Purchase price of variant excluding VAT
price_wholesale float|NULL Wholesale price of variant (excluding VAT)
price_retail float|NULL Recommended retail price of the variant excluding VAT
preview_image string Variant image
tracking object Tracking parameter setting
tracking.expiration bool Tracking of expiration
tracking.batch_number bool Tracking of batch number
tracking.lot_id bool Tracking of LOT
tracking.serial_number bool Tracking of serial numbers
Description:

creating variants for a specific product

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/products/<productId>/variants

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/products/<productId>/variants HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "name": "černé",
    "ext_code": "yzx",
    "ean": "...",
    "price_purchase": null,
    "price_wholesale": 43.21,
    "price_retail": 99.0,
    "vat": 21,
    "preview_image": "https://upload.wikimedia.org/wikipedia/commons/f/f0/Wikitext-wiki_markup-wikipedia.png",
    "tracking": {
        "expiration": false,
        "batch_number": false,
        "lot_id": false,
        "serial_number": true,
    }
}
Request fields description:
Key Type Mandatory Comment
name string Yes Name of variant
ext_code string Yes Product/variant code from your system
ean string Yes Product/variant EAN
price_purchase float|NULL No Purchase price of variant excluding VAT
price_wholesale float|NULL No Wholesale price of variant (excluding VAT)
price_retail float|NULL No Recommended retail price of the variant excluding VAT
preview_image string|NULL No Variant photo URL OR as a base64 encoded string (JVBERi0xLjMNCiXi48/TDQoNCjE...).
tracking object|NULL No Tracking parameter setting. It only works to enable parameter tracking. If you need to disable tracking, please contact our technical support.
tracking.expiration bool No Tracking of expiration
tracking.batch_number bool No Tracking of batch number
tracking.lot_id bool No Tracking of LOT
tracking.serial_number bool No Tracking of serial numbers
JSON response:

HTTP/1.1 201
Content-type: application/json;

{
    "code": 201,
    "message": "",
    "data": {
        "id": 1,
        "code": "DS90033407"
    }
}
Response fields description:
Key Type Comment
id int Variant ID in fulfillment.cz system
code string Variant code in fulfillment.cz system
Description:

variant editing

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/products/<productId>/variants/<id> (alias: https://client.api.fulfillment.cz/v2/fulfillment/variants/<id>)

JSON request:

PUT https://client.api.fulfillment.cz/v2/fulfillment/products/<productId>/variants/<id> (alias: https://client.api.fulfillment.cz/v2/fulfillment/variants/<id>) HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "name": "černé",
    "ext_code": "yzx",
    "ean": "...",
    "price_purchase": null,
    "price_wholesale": 43.21,
    "price_retail": 99.31,
    "preview_image": "https://upload.wikimedia.org/wikipedia/commons/f/f0/Wikitext-wiki_markup-wikipedia.png"
    "tracking": {
        "expiration": false,
        "batch_number": false,
        "lot_id": false,
        "serial_number": true,
    }
}
Request fields description:
Key Type Mandatory Comment
name string Yes Name of variant
ext_code string Yes Product/variant code from your system
ean string Yes Product/variant EAN
price_purchase float|NULL No Purchase price of variant excluding VAT
price_wholesale float|NULL No Wholesale price of variant (excluding VAT)
price_retail float|NULL No Recommended retail price of the variant including VAT
preview_image string|NULL No Variant photo URL OR as a base64 encoded string (JVBERi0xLjMNCiXi48/TDQoNCjE...).
tracking object|NULL No Tracking parameter setting. It only works to enable parameter tracking. If you need to disable tracking, please contact our technical support.
tracking.expiration bool No Tracking of expiration
tracking.batch_number bool No Tracking of batch number
tracking.lot_id bool No Tracking of LOT
tracking.serial_number bool No Tracking of serial numbers
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}

Use catalog management via API only after consulting with a Fulfillment CZ representative. In most cases, it is handled via an XML file.
Description:

list of product categories

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/product-categories?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/product-categories?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No Category ID (to display only a specific category)
limit int No Number of requested records (default = 100, max = 1000)
offset int No Determines the starting offset for results (default = 0)
sort string No Record sorting
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 10,
    "data": [
        {
            "id": 1,
            "parent": 0,
            "name": "Pro muže"
        }
    ]
}
Response fields description:
Key Type Comment
id int Category ID
parent int Parent category ID. The highest-level categories have parent = 0.
name string Name of category
Description:

creating categories

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/product-categories

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/product-categories HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "name": "Pro muže",
    "parent": 0
}
Request fields description:
Key Type Mandatory Comment
name string Yes Name of category
parent int Yes Parent category ID. The highest-level categories have parent = 0.
JSON response:

HTTP/1.1 201
Content-type: application/json;

{
    "code": 201,
    "message": "",
    "data": {
        "id": 1
    }
}
Response fields description:
Key Type Comment
id int Category ID in fulfillment.cz system
Description:

category editing

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/product-categories/<id>

JSON request:

PUT https://client.api.fulfillment.cz/v2/fulfillment/product-categories/<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "name": "Pro muže",
    "parent": 0
}
Request fields description:
Key Type Mandatory Comment
name string Yes Name of category
parent int Yes Parent category ID. The highest-level categories have parent = 0.
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
Description:

delete category

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/product-categories/<id>

JSON request:

DELETE https://client.api.fulfillment.cz/v2/fulfillment/product-categories/<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library


JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}

Description:

seznam dodavatelů

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/suppliers?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/suppliers?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No ID dodavatele (UUID) - pro zobrazení pouze konkrétního dodavatele
remote_id string No Externí ID/číslo dodavatele - pro zobrazení pouze konkrétního dodavatele
limit int No Number of requested records (default = 100, max = 1000)
offset int No Determines the starting offset for results (default = 0)
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 10,
    "data": [
        {
            "id": "3f9a1e2c-5b7d-4e1a-9b2c-1f8a3d4b5c6e",
            "name": "ACME s.r.o.",
            "remote_id": "DOD-001",
            "cin": "12345678",
            "tin": "CZ12345678",
            "created": "2025-03-04 12:12:13"
        }
    ]
}
Response fields description:
Key Type Comment
id string ID dodavatele (UUID)
name string Supplier name
remote_id string|null Externí ID/číslo dodavatele
cin string ID NUMBER
tin string VAT NUMBER
created string Datum vytvoření
Description:

vytváření dodavatelů

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/suppliers

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/suppliers HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "name": "ACME s.r.o.",
    "remote_id": "DOD-001",
    "cin": "12345678",
    "tin": "CZ12345678"
}
Request fields description:
Key Type Mandatory Comment
name string Yes Supplier name
remote_id string|null No Externí ID/číslo dodavatele
cin string No ID NUMBER
tin string No VAT NUMBER
JSON response:

HTTP/1.1 201
Content-type: application/json;

{
    "code": 201,
    "message": "",
    "data": {
        "id": "3f9a1e2c-5b7d-4e1a-9b2c-1f8a3d4b5c6e"
    }
}
Response fields description:
Key Type Comment
id string ID dodavatele (UUID) v systému fulfillment.cz
Description:

edit supplier

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/suppliers?id=<id>

JSON request:

PUT https://client.api.fulfillment.cz/v2/fulfillment/suppliers?id=<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

Dodavatele lze identifikovat parametrem id (UUID) nebo remote_id (externí ID). Alespoň jeden z nich je povinný.

Request parameters description:
Key Type Mandatory Comment
id string No2 ID dodavatele (UUID)
remote_id string No2 Externí ID/číslo dodavatele

2 povinný je alespoň jeden z parametrů id nebo remote_id

{
    "name": "ACME s.r.o.",
    "remote_id": "DOD-001",
    "cin": "12345678",
    "tin": "CZ12345678"
}
Request fields description:
Key Type Mandatory Comment
name string Yes Supplier name
remote_id string|null No Externí ID/číslo dodavatele
cin string No ID NUMBER
tin string No VAT NUMBER
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
Description:

smazání dodavatele

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/suppliers?id=<id>

JSON request:

DELETE https://client.api.fulfillment.cz/v2/fulfillment/suppliers?id=<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

Dodavatele lze identifikovat parametrem id (UUID) nebo remote_id (externí ID). Alespoň jeden z nich je povinný.

Request parameters description:
Key Type Mandatory Comment
id string No2 ID dodavatele (UUID)
remote_id string No2 Externí ID/číslo dodavatele

2 povinný je alespoň jeden z parametrů id nebo remote_id


JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}

Description:

seznam prodejních kanálů

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/channels?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/channels?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No ID prodejního kanálu (UUID) - pro zobrazení pouze konkrétního kanálu
ext_id string No Externí ID prodejního kanálu - pro zobrazení pouze konkrétního kanálu
limit int No Number of requested records (default = 100, max = 1000)
offset int No Determines the starting offset for results (default = 0)
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 2,
    "data": [
        {
            "id": "9c2f3a4b-1d2e-4f5a-8b9c-0d1e2f3a4b5c",
            "ext_id": "shop_42",
            "name": "uzasne-darky.cz"
        }
    ]
}
Response fields description:
Key Type Comment
id string ID prodejního kanálu (UUID)
ext_id string|null Externí ID prodejního kanálu
name string Název prodejního kanálu
Description:

vytváření prodejních kanálů

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/channels

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/channels HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "ext_id": "shop_42",
    "name": "uzasne-darky.cz"
}
Request fields description:
Key Type Mandatory Comment
ext_id string|null No Externí ID prodejního kanálu z Vašeho systému. Musí být unikátní v rámci Vašeho účtu.
name string Yes Název prodejního kanálu. Musí být unikátní v rámci Vašeho účtu.
JSON response:

HTTP/1.1 201
Content-type: application/json;

{
    "code": 201,
    "message": "",
    "data": {
        "id": "9c2f3a4b-1d2e-4f5a-8b9c-0d1e2f3a4b5c"
    }
}
Response fields description:
Key Type Comment
id string ID prodejního kanálu (UUID) v systému fulfillment.cz
Description:

editace prodejního kanálu

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/channels?id=<id>

JSON request:

PUT https://client.api.fulfillment.cz/v2/fulfillment/channels?id=<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

Prodejní kanál lze identifikovat parametrem id (UUID) nebo ext_id (externí ID). Alespoň jeden z nich je povinný.

Request parameters description:
Key Type Mandatory Comment
id string No2 ID prodejního kanálu (UUID)
ext_id string No2 Externí ID prodejního kanálu

2 povinný je alespoň jeden z parametrů id nebo ext_id

{
    "ext_id": "shop_42",
    "name": "uzasne-darky.cz"
}
Request fields description:
Key Type Mandatory Comment
ext_id string|null No Externí ID prodejního kanálu. Pokud klíč v požadavku neuvedete, stávající hodnota zůstane zachována.
name string Yes Název prodejního kanálu
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
Description:

smazání prodejního kanálu

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/channels?id=<id>

JSON request:

DELETE https://client.api.fulfillment.cz/v2/fulfillment/channels?id=<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

Prodejní kanál lze identifikovat parametrem id (UUID) nebo ext_id (externí ID). Alespoň jeden z nich je povinný.

Kanál navázaný na existující objednávky nelze smazat (odpověď 409).

Request parameters description:
Key Type Mandatory Comment
id string No2 ID prodejního kanálu (UUID)
ext_id string No2 Externí ID prodejního kanálu

2 povinný je alespoň jeden z parametrů id nebo ext_id


JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}


Receiving

Description:

list of receivings

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No Receiving ID
ids array No Receiving batch ID
uuid string No Receiving UUID4
uuids array No Receiving batch UUID4
ext_id string No External receiving identifier
ext_ids array No Externí identifikátory množiny předskladnění. Lze opakovat: ?ext_ids[]=ERP000123&ext_ids[]=ERP000124.
ext_code string No Externí kód předskladnění
ext_codes array No Externí kódy množiny předskladnění. Lze opakovat: ?ext_codes[]=123456&ext_codes[]=123457.
type string No Typ předskladnění
created_from string No Datum vytvoření OD ve formátu "Y-m-d"
created_to string No Datum vytvoření DO ve formátu "Y-m-d"
limit int No Number of requested records (default = 100, max = 1000)
offset int No Determines the starting offset for results (default = 0)
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "id": 1,
            "uuid": "7b73a4a1-ef89-4574-9321-d4134414ced5",
            "type": "default",
            "fulfillment_order_id": "5c55ccac-3f88-4c71-a897-0f114d6cbd5f",
            "fulfillment_order_number": "FF2305302419",
            "fulfillment_order_remote_id": null,
            "fulfillment_order_remote_number": "ERP000123",
            "ext_id": "38582ff4-b6ce-4a1e-acfb-5085b73fdbf1",
            "ext_code": "123456",
            "closed": true,
            "extra_cost": 0,
            "note": "Poznámka pro sklad",
            "client_note": "Vaše interní poznámka",
            "receiving_note": "poznámka k naskladnění",
            "date_of_delivery": "2026-12-31",
            "items": [
                {
                    "variant_id": 1,
                    "code": "DS12345678",
                    "ext_code": "123",
                    "price_per_unit": 99.99,
                    "quantity": 3,
                    "received_quantity": 2,
                    "damaged_quantity": 1,
                    "received_damaged_quantity": 2,
                    "photos": ["https://cdn.fulfillment.cz/images/9/3/4/f/a/a/e/a/1/0/b31ea2df5b933d6cf9b661.png"]
                }
            ],
            "stock_items": [
                {
                    "variant_id": 1,
                    "code": "DS12345678",
                    "ext_code": "123",
                    "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                    "quality": 1,
                    "expiration": "2030-12-31",
                    "batch_number": null,
                    "lot_id": null,
                    "received_quantity": 1,
                    "serial_numbers": ["SN1"]
                },
                {
                    "variant_id": 1,
                    "code": "DS12345678",
                    "ext_code": "123",
                    "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                    "quality": 1,
                    "expiration": "2028-12-31",
                    "batch_number": null,
                    "lot_id": null,
                    "received_quantity": 1,
                    "serial_numbers": ["SN2"]
                },
                {
                    "variant_id": 1,
                    "code": "DS12345678",
                    "ext_code": "123",
                    "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                    "quality": 0,
                    "expiration": "2028-12-31",
                    "batch_number": null,
                    "lot_id": null,
                    "received_quantity": 1,
                    "serial_numbers": []
                }
            ],
            "packages": [
                {
                    "barcode": "123456789"
                }
            ],
            "delivery_units": [
                {
                    "id": "d323b5e9-bab6-4d67-9550-0b93b63c8265",
                    "size_id": "L1",
                    "closed": false,
                }
            ],
            "notes": [
                {
                    "text": "Text poznamky"
                    "created": "2022-01-31 08:01:01"
                }
            ],
            "received_at": "2022-03-04"
            "created_at": "2025-03-04 12:12:13"
        }
    ]
}
Response fields description:
Key Type Comment
id int Receiving ID
uuid string Receiving UUID4
type string Typ předskladnění
  • default => klasické/plánované předskladnění
  • carrierReturn => vráceno dopravcem
  • customerWithdrawal => vráceno zákazníkem
  • warrantyClaim => complaint
fulfillment_order_id string|NULL ID FF objednávky
fulfillment_order_number string|NULL Order FF number
fulfillment_order_remote_id string|NULL ID externí objednávky
fulfillment_order_remote_number string|NULL Číslo externí objednávky
ext_id string|NULL External receiving identifier (e.g., Goods Received Note number from ERP)
ext_code string|NULL External receiving number (e.g., Goods Received Note number from ERP)
closed bool Is the receiving finished?
extra_cost float Stocking costs excluding VAT
note string Poznámka pro sklad
client_note string Vaše interní poznámka
receiving_note string Restocking note (deprecated - see notes[] for restocking notes)
date_of_delivery string Estimated delivery date
items[].variantId int Product ID from fulfillment.cz system
items[].code string Product code from fulfillment.cz system
items[].ext_code string Supplier product code
items[].price_per_unit float Price per piece without VAT
items[].quantity int Number of pieces
items[].received_quantity int|NULL Počet nepoškozených kusů, které byly reálně naskladněny. Pokud je hodnota NULL, k naskladnění zatím nedošlo
items[].damaged_quantity int|NULL Damaged quantity
items[].received_damaged_quantity int|NULL Počet poškozených kusů, které byly reálně naskladněny. Pokud je hodnota NULL, k naskladnění zatím nedošlo
items[].photos array Photo documentation, typically in case of receiving damaged items
stock_items[].variantId int Product ID from fulfillment.cz system
stock_items[].code string Product code from fulfillment.cz system
stock_items[].ext_code string Supplier product code
stock_items[].inventory_id int Item inventory
stock_items[].quality int Product quality (0 = damaged, 1 = undamaged)
stock_items[].expiration string|NULL Product expiration date (Y-m-d). If the value is NULL, expiration is not set.
stock_items[].batch_number string|NULL Product batch number. If the value is NULL, the batch is not set.
stock_items[].lot_id string|NULL Product Lot ID. If the value is NULL, the Lot ID is not set.
stock_items[].received_quantity int Quantity actually stocked
packages[].barcode string Tracking number (package)
delivery_units array List of stocked packages
delivery_units[].id string Package UUID4
delivery_units[].size_id string|NULL Package size
delivery_units[].closed bool Has the package receiving process been definitively closed?
notes[].text string Note text
notes[].created string Note creation date and time in format "Y-m-d H:i:s"
received_at string|NULL Latest receiving date (Y-m-d)
created_at string|NULL Datum vytvoření (Y-m-d H:i:s)
Description:

creating receivings

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "ext_id": "ba73abe4-a101-4c9c-9f05-592d0761bb83",
    "ext_code": "OS123456789",
    "type": "default",
    "supplier_id": null,
    "supplier_remote_id": "123",
    "fulfillment_order_id": null,
    "fulfillment_order_remote_id": null,
    "fulfillment_order_remote_number": null,
    "extra_cost": 0,
    "note": "Poznámka pro sklad",
    "client_note": "Vaše interní poznámka",
    "date_of_delivery": "2026-12-31",
    "items": [
        {
            "code": "DS12345678",
            "ext_code": null,
            "price_per_unit": 99.99,
            "quantity": 3,
            "damaged_quantity": 1,
            "expiration": "2026-12-31",
            "batch_number": "B-2026-001",
            "lot_id": null,
            "damaged_quality": null
        }
    ],
    "packages": [
        {
            "barcode": "123456789"
        }
    ]
}
Request fields description:
Key Type Mandatory Comment
ext_id string|NULL No Externí identifikátor předskladnění (např. ID Příjemky z ERP)
ext_code string|NULL No Externí kód předskladnění (např. číslo Příjemky z ERP)
type string|NULL No Typ předskladnění
  • default => klasické/plánované předskladnění
  • carrierReturn => vráceno dopravcem
  • customerWithdrawal => vráceno zákazníkem
  • warrantyClaim => complaint
supplier_id string|NULL No FF ID dodavatele
supplier_remote_id string|NULL No Externí ID dodavatele
fulfillment_order_id string|NULL No ID FF objednávky (pro párování objednávky použijte jeden ze tří identifikátorů.)
fulfillment_order_remote_id string|NULL No ID externí objednávky (pro párování objednávky použijte jeden ze tří identifikátorů.)
fulfillment_order_remote_number string|NULL No Číslo externí objednávky (pro párování objednávky použijte jeden ze tří identifikátorů.)
extra_cost float Yes Stocking costs excluding VAT
note string No Poznámka pro sklad
client_note string No Vaše interní poznámka
date_of_delivery string Yes Estimated delivery date
items[].code string Condition Product code from fulfillment.cz system. Optional if the product ext_code is provided
items[].ext_code string Condition Supplier product code. Optional if the product code is provided
items[].price_per_unit float Yes Price per piece without VAT
items[].quantity int Yes Number of pieces
items[].damaged_quantity int Yes Počet kusů poškozeno
items[].expiration string|NULL No Datum expirace šarže ve formátu YYYY-MM-DD. Lze zadat pouze u variant, které mají povolené sledování expirace.
items[].batch_number string|NULL No Číslo šarže. Lze zadat pouze u variant, které mají povolené sledování čísla šarže.
items[].lot_id string|NULL No LOT ID. Lze zadat pouze u variant, které mají povolené sledování LOT ID.
items[].damaged_quality int|NULL No Stupeň kvality poškozených kusů - číselný kód z číselníku kvalit klienta (0 = zničeno, 2-n individuální).
packages[].barcode string No Tracking numbers (packages)
JSON response:

HTTP/1.1 201
Content-type: application/json;

{
    "code": 201,
    "message": "",
    "data": {
        "id": 1,
        "uuid": "fd8e4a3c-4892-4da9-958c-5cbbc1ffca07"
    }
}
Response fields description:
Key Type Comment
id int Receiving ID in fulfillment.cz system
uuid int Receiving UUID4
Description:

edit receiving details

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads/<id>

JSON request:

PUT https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads/<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "ext_id": "ba73abe4-a101-4c9c-9f05-592d0761bb83",
    "ext_code": "OS123456789",
    "type": "default",
    "supplier_id": null,
    "supplier_remote_id": "123",
    "fulfillment_order_id": null,
    "fulfillment_order_remote_id": null,
    "fulfillment_order_remote_number": null,
    "extra_cost": 0,
    "note": "Poznámka pro sklad",
    "client_note": "Vaše interní poznámka",
    "date_of_delivery": "2026-12-31",
    "items": [
        {
            "code": "DS12345678",
            "ext_code": null,
            "price_per_unit": 99.99,
            "quantity": 3,
            "damaged_quantity": 1,
            "expiration": "2026-12-31",
            "batch_number": "B-2026-001",
            "lot_id": null,
            "damaged_quality": null
        }
    ],
    "packages": [
        {
            "barcode": "123456789"
        }
    ]
}
Request fields description:
Key Type Mandatory Comment
ext_id string|NULL No External receiving identifier (e.g., Goods Received Note number from ERP)
ext_code string|NULL No Externí kód předskladnění (např. číslo Příjemky z ERP)
type string|NULL No Typ předskladnění
  • default => klasické/plánované předskladnění
  • carrierReturn => vráceno dopravcem
  • customerWithdrawal => vráceno zákazníkem
  • warrantyClaim => complaint
supplier_id string|NULL No FF ID dodavatele
supplier_remote_id string|NULL No Externí ID dodavatele
fulfillment_order_id string|NULL No ID FF objednávky (pro párování objednávky použijte jeden ze tří identifikátorů.)
fulfillment_order_remote_id string|NULL No ID externí objednávky (pro párování objednávky použijte jeden ze tří identifikátorů.)
fulfillment_order_remote_number string|NULL No Číslo externí objednávky (pro párování objednávky použijte jeden ze tří identifikátorů.)
extra_cost float Yes Stocking costs excluding VAT
note string No Poznámka pro sklad
client_note string No Vaše interní poznámka
date_of_delivery string Yes Estimated delivery date
items[].code string Condition Product code from fulfillment.cz system. Optional if the product ext_code is provided
items[].ext_code string Condition Supplier product code. Optional if the product code is provided
items[].price_per_unit float Yes Price per piece without VAT
items[].quantity int Yes Number of pieces
items[].damaged_quantity int Yes Počet kusů poškozeno
items[].expiration string|NULL No Datum expirace šarže ve formátu YYYY-MM-DD. Lze zadat pouze u variant, které mají povolené sledování expirace.
items[].batch_number string|NULL No Číslo šarže. Lze zadat pouze u variant, které mají povolené sledování čísla šarže.
items[].lot_id string|NULL No LOT ID. Lze zadat pouze u variant, které mají povolené sledování LOT ID.
items[].damaged_quality int|NULL No Stupeň kvality poškozených kusů - číselný kód z číselníku kvalit klienta (0 = zničeno, 2-n individuální).
packages[].barcode string No Tracking numbers (packages)
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
Description:

úprava statických dat

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads/<id>

JSON request:

PATCH https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads/<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json

{
    "client_note": "Vaše interní poznámka",
}
Request fields description:
client_note string Yes Vaše interní poznámka
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
Description:

delete receiving

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads/<id>

JSON request:

DELETE https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preloads/<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library


JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}

Description:

seznam událostí předskladnění.

Endpoint vrací maximálně 1000 událostí na jedno volání. Pokud odpověď obsahuje 1000 záznamů, je pravděpodobné, že existují další - opakujte volání s lastSeenId = poslední internal_id z předchozí odpovědi, dokud nedostanete méně než 1000.

Pozn.: Pole internal_id není souvislá řada - mezery v číslování jsou normální. Spoléhejte pouze na vzestupné řazení a stránkujte podle posledního vráceného internal_id.

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preload-event-store?lastSeenId=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/warehouse-preload-event-store?lastSeenId=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
lastSeenId int Yes Kurzor - vrací se pouze události s internal_id > lastSeenId, řazené vzestupně. Pro první volání použijte 0. Pro stránkování použijte poslední internal_id z předchozí odpovědi.
eventTypes[] array No Filtr na typy událostí. Bez filtru se vrací všechny typy. Lze opakovat: ?eventTypes[]=PreloadClosed&eventTypes[]=DeliveryUnitReceived. Přehled povolených hodnot viz záložky PreloadClosed a DeliveryUnitReceived.
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "data": [
        {
            "internal_id": 12,
            "event_type": "PreloadClosed",
            "data": {
                "id": 12345,
                "uuid": "38582ff4-b6ce-4a1e-acfb-5085b73fdbf1",
                "ext_id": "ERP000123",
                "ext_code": "123456"
            },
            "created": "2026-05-18 14:54:25"
        },
        {
            "internal_id": 17,
            "event_type": "DeliveryUnitReceived",
            "data": {
                "id": 12345,
                "uuid": "38582ff4-b6ce-4a1e-acfb-5085b73fdbf1",
                "ext_id": "ERP000123",
                "ext_code": "123456",
                "delivery_unit_id": "7cad37e9-2624-480d-8c5f-68985522e7d0"
            },
            "created": "2026-05-18 14:57:22"
        }
    ]
}
Response fields description:
Key Type Comment
internal_id int Interní pořadové ID události. Slouží jako kurzor pro stránkování přes lastSeenId.
event_type string Typ události. Přehled povolených hodnot a význam viz záložky PreloadClosed a DeliveryUnitReceived.
data object Payload události. Struktura se liší podle event_type - viz odpovídající záložka.
created string Datum a čas vzniku události (Y-m-d H:i:s).
Description:

předskladnění bylo ukončeno (uzavřeno)

Ukázka payloadu:
{
    "internal_id": 12,
    "event_type": "PreloadClosed",
    "data": {
        "id": 12345,
        "uuid": "38582ff4-b6ce-4a1e-acfb-5085b73fdbf1",
        "ext_id": "ERP000123",
        "ext_code": "123456"
    },
    "created": "2026-05-18 14:54:25"
}
Popis polí payloadu:
Key Type Comment
data.id int Interní ID předskladnění (shoduje se s polem id v /warehouse-preloads).
data.uuid string UUID4 předskladnění (shoduje se s uuid v /warehouse-preloads).
data.ext_id string|null Externí identifikátor předskladnění (shoduje se s polem ext_id v /warehouse-preloads).
data.ext_code string|null Externí kód předskladnění (shoduje se s polem ext_code v /warehouse-preloads).
Description:

v rámci předskladnění byl přijat jeden balík (delivery unit)

Ukázka payloadu:
{
    "internal_id": 17,
    "event_type": "DeliveryUnitReceived",
    "data": {
        "id": 12345,
        "uuid": "38582ff4-b6ce-4a1e-acfb-5085b73fdbf1",
        "ext_id": "ERP000123",
        "ext_code": "123456",
        "delivery_unit_id": "7cad37e9-2624-480d-8c5f-68985522e7d0"
    },
    "created": "2026-05-18 14:57:22"
}
Popis polí payloadu:
Key Type Comment
data.id int Interní ID předskladnění (shoduje se s polem id v /warehouse-preloads).
data.uuid string UUID4 předskladnění (shoduje se s uuid v /warehouse-preloads).
data.ext_id string|null Externí identifikátor předskladnění (shoduje se s polem ext_id v /warehouse-preloads).
data.ext_code string|null Externí kód předskladnění (shoduje se s polem ext_code v /warehouse-preloads).
data.delivery_unit_id string UUID4 přijatého balíku v rámci předskladnění.

Transformation

Description:

seznam transformací

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-reloads?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/warehouse-reloads?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No Transformation ID
ids array No ID množiny transformací
uuid string No UUID4 transformace
uuids array No UUID4 množiny transformací
ext_id string No Externí identifikátor transformace
created_from string No Datum vytvoření OD ve formátu "Y-m-d"
created_to string No Datum vytvoření DO ve formátu "Y-m-d"
limit int No Number of requested records (default = 100, max = 1000)
offset int No Determines the starting offset for results (default = 0)
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "id": 1,
            "uuid": "7b73a4a1-ef89-4574-9321-d4134414ced5",
            "ext_id": "38582ff4-b6ce-4a1e-acfb-5085b73fdbf1",
            "ext_code": "TR2026001",
            "status": "created",
            "outbound_items": [
                {
                    "variant_id": 1,
                    "code": "DS12345678",
                    "ext_code": "123",
                    "quantity": 3,
                    "damaged_quantity": 1
                }
            ],
            "outbound_stock_items": [
                {
                    "variant_id": 1,
                    "code": "DS12345678",
                    "ext_code": "123",
                    "quantity": 3,
                    "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                    "quality": 1,
                    "expiration": "2030-12-31",
                    "batch_number": null,
                    "lot_id": null,
                    "serial_numbers": ["SN1", "SN2", "SN3"]
                },
                {
                    "variant_id": 1,
                    "code": "DS12345678",
                    "ext_code": "123",
                    "quantity": 1,
                    "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                    "quality": 2,
                    "expiration": "2030-12-31",
                    "batch_number": null,
                    "lot_id": null,
                    "serial_numbers": []
                }
            ],
            "inbound_items": [
                {
                    "variant_id": 2,
                    "code": "DS87654321",
                    "ext_code": "321",
                    "price_per_unit": 99.99,
                    "quantity": 3,
                    "damaged_quantity": 1,
                    "damaged_quality": 2,
                    "expiration": "2030-12-31",
                    "batch_number": "B-2026-001",
                    "lot_id": null,
                    "serial_numbers": []
                }
            ],
            "inbound_stock_items": [
                {
                    "variant_id": 2,
                    "code": "DS87654321",
                    "ext_code": "321",
                    "price_per_unit": 99.99,
                    "quantity": 3,
                    "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                    "quality": 1,
                    "expiration": "2030-12-31",
                    "batch_number": "B-2026-001",
                    "lot_id": null,
                    "serial_numbers": ["SN10", "SN11", "SN12"]
                }
            ],
            "created_at": "2026-03-04 12:12:13"
        }
    ]
}
Response fields description:
Key Type Comment
id int Transformation ID
uuid string UUID4 transformace
ext_id string|NULL Externí identifikátor transformace (např. ID z ERP)
ext_code string|NULL Externí číslo transformace (např. číslo dokladu z ERP)
status string Stav transformace
  • created => vytvořeno, čeká na zpracování
  • processing => v procesu (sklad začal zpracovávat)
  • finished => completed
  • canceled => canceled
outbound_items[].variant_id int ID varianty, která jde ze skladu ven (vstup transformace)
outbound_items[].code string Variant code from fulfillment.cz system
outbound_items[].ext_code string|NULL External variant code
outbound_items[].quantity int Souhrnný počet nepoškozených kusů agregovaný napříč všemi outbound_stock_items (quality = 1)
outbound_items[].damaged_quantity int Souhrnný počet poškozených kusů agregovaný napříč všemi outbound_stock_items (quality ≠ 1)
outbound_stock_items[].variant_id int Variant ID
outbound_stock_items[].code string Variant code
outbound_stock_items[].ext_code string|NULL External variant code
outbound_stock_items[].quantity int Počet kusů ze skladového záznamu, které jdou ven
outbound_stock_items[].inventory_id string UUID4 inventáře skladového záznamu
outbound_stock_items[].quality int Kvalita kusů (1 = nepoškozené, 0 = zničeno, 2-n = individuální stupeň poškození klienta)
outbound_stock_items[].expiration string|NULL Expirace skladového záznamu ve formátu Y-m-d
outbound_stock_items[].batch_number string|NULL Číslo šarže skladového záznamu
outbound_stock_items[].lot_id string|NULL LOT ID skladového záznamu
outbound_stock_items[].serial_numbers array Pole sériových čísel kusů, které byly fyzicky vydány. Naplní se až ve stavu processing/finished, jinak prázdné.
inbound_items[].variant_id int ID varianty, která jde do skladu (výstup transformace)
inbound_items[].code string Variant code
inbound_items[].ext_code string|NULL External variant code
inbound_items[].price_per_unit float Cena za kus bez DPH (plánovaná hodnota při zadání transformace)
inbound_items[].quantity int Plánovaný počet nepoškozených kusů
inbound_items[].damaged_quantity int Plánovaný počet poškozených kusů
inbound_items[].damaged_quality int|NULL Stupeň kvality poškozených kusů (0 = zničeno, 2-n = individuální). NULL = nezadáno.
inbound_items[].expiration string|NULL Plánovaná expirace ve formátu Y-m-d
inbound_items[].batch_number string|NULL Plánované číslo šarže
inbound_items[].lot_id string|NULL Plánované LOT ID
inbound_items[].serial_numbers array Vždy prázdné pole. Pro skutečně přijatá sériová čísla viz inbound_stock_items[].serial_numbers (naplní se po dokončení).
inbound_stock_items[].variant_id int Variant ID
inbound_stock_items[].code string Variant code
inbound_stock_items[].ext_code string|NULL External variant code
inbound_stock_items[].price_per_unit float Skutečná cena za kus skladového záznamu po naskladnění
inbound_stock_items[].quantity int Počet kusů, které byly skutečně přijaty pro tento skladový záznam
inbound_stock_items[].inventory_id string UUID4 inventáře skladového záznamu
inbound_stock_items[].quality int Kvalita kusů (1 = nepoškozené, 0 = zničeno, 2-n = individuální stupeň poškození klienta)
inbound_stock_items[].expiration string|NULL Skutečná expirace přijatých kusů ve formátu Y-m-d
inbound_stock_items[].batch_number string|NULL Skutečné číslo šarže přijatých kusů
inbound_stock_items[].lot_id string|NULL Skutečné LOT ID přijatých kusů
inbound_stock_items[].serial_numbers array Pole sériových čísel kusů, které byly fyzicky přijaty. Pole je prázdné, dokud transformace není ve stavu processing/finished.
created_at string Datum a čas vytvoření transformace (Y-m-d H:i:s)

* Pole inbound_stock_items je naplněno až ve chvíli, kdy sklad začne transformaci skutečně zpracovávat. Pro nově vytvořené transformace (status = created) bude prázdné.

Description:

vytvoření transformace (přeměna vstupních variant ze skladu na výstupní varianty)

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-reloads

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/warehouse-reloads HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "ext_id": "ba73abe4-a101-4c9c-9f05-592d0761bb83",
    "ext_code": "TR2026001",
    "outboundItems": [
        {
            "code": "DS12345678",
            "ext_code": null,
            "quantity": 3,
            "damaged_quantity": 1,
            "damaged_quality": 2,
            "inventoryId": "d52f6096-e0c0-4d86-9075-85a3147c815c",
            "expiration": "2026-12-31",
            "batch_number": null,
            "lot_id": null
        }
    ],
    "inboundItems": [
        {
            "code": "DS87654321",
            "ext_code": null,
            "price_per_unit": 99.99,
            "quantity": 3,
            "damaged_quantity": 1,
            "damaged_quality": 2,
            "inventoryId": "d52f6096-e0c0-4d86-9075-85a3147c815c",
            "expiration": "2026-12-31",
            "batch_number": "B-2026-001",
            "lot_id": null,
            "fifo": null,
            "serial_number": null
        }
    ]
}
Request fields description:
Key Type Mandatory Comment
ext_id string|NULL No Externí identifikátor transformace (např. ID dokladu z ERP). Musí být unikátní.
ext_code string|NULL No Externí kód transformace (např. číslo dokladu z ERP)
outboundItems - vstupy transformace (co se odebere ze skladu)
outboundItems[].variantId int Condition FF ID varianty. Nepovinné, pokud je uvedeno code nebo ext_code.
outboundItems[].code string Condition FF kód varianty. Nepovinné, pokud je uvedeno variantId nebo ext_code.
outboundItems[].ext_code string Condition Externí kód varianty. Nepovinné, pokud je uvedeno variantId nebo code.
outboundItems[].quantity int Yes Počet nepoškozených kusů (sklad vybere stocky s quality = 1)
outboundItems[].damaged_quantity int No Počet poškozených kusů (sklad vybere stocky s quality = damaged_quality)
outboundItems[].damaged_quality int|NULL No Stupeň kvality poškozených kusů. Povolené hodnoty: 0 (zničeno) nebo 2-n (individuální stupeň z číselníku klienta). Hodnota 1 je rezervovaná pro nepoškozené a není povolena. Default 0 (zničeno) pokud chybí nebo NULL.
outboundItems[].inventoryId string|NULL No UUID4 inventáře, ze kterého se má vybírat. Defaultní inventář pokud chybí.
outboundItems[].expiration string|NULL No Cílová expirace ve formátu Y-m-d (pro výběr konkrétních stocků). Lze zadat pouze u variant, které mají povolené sledování expirace.
outboundItems[].batch_number string|NULL No Cílové číslo šarže. Lze zadat pouze u variant, které mají povolené sledování čísla šarže.
outboundItems[].lot_id string|NULL No Cílové LOT ID. Lze zadat pouze u variant, které mají povolené sledování LOT ID.
inboundItems - výstupy transformace (co se naskladní)
inboundItems[].variantId int Condition FF ID varianty. Nepovinné, pokud je uvedeno code nebo ext_code.
inboundItems[].code string Condition FF kód varianty. Nepovinné, pokud je uvedeno variantId nebo ext_code.
inboundItems[].ext_code string Condition Externí kód varianty. Nepovinné, pokud je uvedeno variantId nebo code.
inboundItems[].price_per_unit float No Cena za kus bez DPH (nákladová cena vstupující do skladu). Default 0.1 pokud chybí.
inboundItems[].quantity int Yes Počet nepoškozených kusů, které mají vzniknout
inboundItems[].damaged_quantity int No Počet poškozených kusů, které mají vzniknout
inboundItems[].damaged_quality int|NULL No Stupeň kvality poškozených kusů. Povolené hodnoty: 0 (zničeno) nebo 2-n (individuální stupeň z číselníku klienta). Hodnota 1 je rezervovaná pro nepoškozené a není povolena.
inboundItems[].inventoryId string|NULL No UUID4 cílového inventáře. Defaultní inventář pokud chybí. Všechny inboundItems musí mít stejný inventář.
inboundItems[].expiration string|NULL No Expirace nově vzniklých kusů ve formátu Y-m-d. Lze zadat pouze u variant, které mají povolené sledování expirace.
inboundItems[].batch_number string|NULL No Číslo šarže nově vzniklých kusů. Lze zadat pouze u variant, které mají povolené sledování čísla šarže.
inboundItems[].lot_id string|NULL No LOT ID nově vzniklých kusů. Lze zadat pouze u variant, které mají povolené sledování LOT ID.
inboundItems[].fifo string|NULL No FIFO datum ve formátu Y-m-d
inboundItems[].serial_number string|NULL No Sériové číslo (pouze pro varianty se sledováním sériových čísel)
JSON response:

HTTP/1.1 201
Content-type: application/json;

{
    "code": 201,
    "message": "",
    "data": {
        "id": 1,
        "uuid": "fd8e4a3c-4892-4da9-958c-5cbbc1ffca07"
    }
}
Response fields description:
Key Type Comment
id int ID transformace v systému fulfillment.cz
uuid string UUID4 transformace
Description:

editace transformace. Lze editovat pouze transformace ve stavu "created" (před zahájením zpracování skladem).

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-reloads/<id>

JSON request:

PUT https://client.api.fulfillment.cz/v2/fulfillment/warehouse-reloads/<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "ext_id": "ba73abe4-a101-4c9c-9f05-592d0761bb83",
    "ext_code": "TR2026001",
    "outboundItems": [
        {
            "code": "DS12345678",
            "ext_code": null,
            "quantity": 3,
            "damaged_quantity": 1,
            "damaged_quality": 2,
            "inventoryId": "d52f6096-e0c0-4d86-9075-85a3147c815c",
            "expiration": "2026-12-31",
            "batch_number": null,
            "lot_id": null
        }
    ],
    "inboundItems": [
        {
            "code": "DS87654321",
            "ext_code": null,
            "price_per_unit": 99.99,
            "quantity": 3,
            "damaged_quantity": 1,
            "damaged_quality": 2,
            "inventoryId": "d52f6096-e0c0-4d86-9075-85a3147c815c",
            "expiration": "2026-12-31",
            "batch_number": "B-2026-001",
            "lot_id": null,
            "fifo": null,
            "serial_number": null
        }
    ]
}
Request fields description:

Pole jsou identická s POST requestem - viz vytvoření transformace. Při editaci se kompletně přepíše stav outboundItems a inboundItems.

JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
Description:

zrušení transformace. Zruší lze pouze transformace ve stavu "created", které ještě nemají žádné skladové pohyby. Transformace nejde fyzicky smazat - pouze přejde do stavu "canceled".

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-reloads/<id>

JSON request:

DELETE https://client.api.fulfillment.cz/v2/fulfillment/warehouse-reloads/<id> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "reason": "Důvod zrušení transformace"
}
Request fields description:
Key Type Mandatory Comment
reason string No Důvod zrušení (uloží se k transformaci jako poznámka)

JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}

Description:

list of automated transformations

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/transformation-replenishment

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/transformation-replenishment HTTP/1.1
Authorization: TOKEN
Accept: application/json

JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 2,
    "data": [
        {
            "variant_ext_code": "EXTCODE",
            "variant_limit_quantity": 10,
            "mastercase_code": "MASTERCASEEXTCODE",
            "mastercase_quantity": 2,
        },
        {
            "variant_ext_code": "EXTCODE2",
            "variant_limit_quantity": 3,
            "mastercase_code": "MASTERCASEEXTCODE2",
            "mastercase_quantity": 1,
        }
    ]
}
Response fields description:
Key Type Comment
variant_ext_code string Variant remote code
variant_limit_quantity int Limit number of pieces
mastercase_code string Mastercase variant code
mastercase_quantity int Quantity of mastercase.
Description:

persisting of automated transformations

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/transformation-replenishment

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/transformation-replenishment HTTP/1.1
Authorization: TOKEN
Accept: application/json

[
    {
        "variant_ext_code": "nontrackingsku",
        "variant_limit_quantity": 3,
        "mastercase_code": "dfgdfgfg",
        "mastercase_quantity": 33
    },
    {
        "variant_ext_code": "sdfsdt gsdf_c333",
        "variant_limit_quantity": 4,
        "mastercase_code": "123321123321123",
        "mastercase_quantity": 44
    }
]
Request fields description:
Key Type Comment
variant_ext_code string Variant remote code
variant_limit_quantity int Limit number of pieces
mastercase_code string Mastercase variant code
mastercase_quantity int Quantity of mastercase. To remove automated transformation, set mastercase_quantity=0.
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}


Issue

Description:

list of your orders

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/orders?limit=10&offset=0&sort=-created

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/orders?limit=30&offset=0&sort=-created HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No Order ID (to display a specific order)
ids array No Order IDs (to display specific orders)
remote_number string No Order number from your system
remote_numbers array No Čísla objednávek ze systému klienta (pro zobrazení konkrétních objednávek)
status string No Order status
created_from string No Order creation date FROM in format "Y-m-d"
created_to string No Order creation date TO in format "Y-m-d"
limit int No Number of requested records (default = 30, max = 100)
offset int No Determines the starting offset for results (default = 0)
sort string No Record sorting
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 10,
    "data": [
        {
            "id": "da8bfbcb-5916-4416-b310-ce8ce6c0c63f",
            "number": "FF2996255084",
            "remote_number": "123456789",
            "currency_id": "CZK",
            "channel": {
                "id": "9c2f3a4b-1d2e-4f5a-8b9c-0d1e2f3a4b5c",
                "ext_id": null,
                "name": "uzasne-darky.cz"
            },
            "on_hold": true,
            "sscc": false,
            "status": "problem_in_expedition",
            "status_note": "",
            "expedition": {
                "status": "problem",
                "problem": {
                    "source": "packing",
                    "description": "Produkt není k nalezení.",
                    "solution": NULL,
                    "postponed": true,
                    "photos": [],
                },
            },
            "recipient": {
                "email": "zakaznik@gmail.com",
                "phone": "777666555",
                "firstname": "Jan",
                "surname": "Novák",
                "street": "Korunní 21",
                "city": "Praha 2",
                "zipcode": "12800",
                "company": ""
            },
            "delivery": {
                "id": 25,
                "value": 999.0,
                "name": "DPD",
                "tracking_number": "xyz",
                "status": "inTransit"
            },
            "payment": {
                "cod": true,
                "variable_symbol": "1234567890",
                "price": 1001
            },
            "products": [
                {
                    "name": "Horké kameny",
                    "image": "https://cdn.fulfillment.cz/images/d/e/a/b/0/8/0/c/8/9/7c65758192e4f827ecxyz.png",
                    "code": "DS12345678",
                    "ext_code": 123,
                    "damaged_quantity": 1,
                    "non_damaged_quantity": 2,
                    "quantity": 3,
                    "reserved_quantity": 2,
                    "requested_quantity": 1
                }
            ],
            "stock_items": [
                {
                    "variant_id": 1,
                    "code": "DS12345678",
                    "ext_code": "123",
                    "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                    "quality": 1,
                    "expiration": "2030-12-31",
                    "batch_number": null,
                    "lot_id": null,
                    "quantity": 3,
                    "reserved_quantity": 2,
                    "requested_quantity": 1,
                    "serial_numbers": ["SN1", "SN2", "SN3"]
                }
            ],
            "packages": [
                {
                    "id": "edae9cfa-c07f-4e28-ba9b-d6ba3fc90749",
                    "sscc": "",
                    "items": [
                        {
                            "variant_id": 123,
                            "code": "DS12345678",
                            "ext_code": "XYZ",
                            "quantity": 3
                        }
                    ],
                    "stock_items": [
                        {
                            "variant_id": 1,
                            "code": "DS12345678",
                            "ext_code": "123",
                            "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                            "quality": 1,
                            "expiration": "2030-12-31",
                            "batch_number": null,
                            "lot_id": null,
                            "quantity": 3,
                            "serial_numbers": ["SN1", "SN2", "SN3"]
                        }
                    ],
                }
            ],
            "invoice": "JVBERi0xLjMNCiXi48/TDQoNCjE...",
            "damaged": false,
            "note": "Poznámka",
            "tickets": [
                {
                    "barcode": "DR0705127648C",
                    "data": "^XA..."
                }
            ],
            "dispatch_date": "2026-12-21"
            "created": "2019-03-17 14:26:45"
        }
    ]
}
Response fields description:
Key Type Comment
channel object|NULL Prodejní kanál objednávky.
channel.id string UUID prodejního kanálu v systému fulfillment.cz.
channel.ext_id string|NULL Externí ID prodejního kanálu z Vašeho systému.
channel.name string Název prodejního kanálu.
status string Order status
  • created => created
  • waiting_for_storage => awaiting storage
  • in_expedition => in expedition
  • packed => packaged
  • canceled => cancelled
  • problem_in_expedition => problem in expedition
  • not_sent => not sent
  • sent => sent
  • delivered => delivered
  • returned => returned
delivery.status string|NULL Shipment status
  • inTransit => handed over to carrier
  • delivered => delivered
  • returned => returned
expedition.status string Status in dispatch
  • waiting => The order is waiting for picking. If necessary, you can cancel the order in expedition.
  • picking => The order is in the process of picking.
  • waitingForPacking => The order is waiting for packing.
  • packing => The order is in the process of packing.
  • packed => The order has been completed and is waiting to be packaged.
  • problem => The order was marked as problematic and waiting for resolution.
  • problemSolved => The order has been canceled in the expedition and you can change its status if necessary.
  • finished => The order has been packaged and is waiting to be handed over to the courier.
  • picked => The order is waiting for packing.
  • packaging => The order is in the process of packaging.
  • packaged => Order was packaged.
status_note Order status note
expedition.problem.source Source of the problem
  • order => order
  • picking => picking
  • packing => packing
  • packaging => packaging
expedition.problem.description Problem description
expedition.problem.solution Problem resolution
expedition.problem.postponed The expedition of the order was only briefly postponed.
expedition.problem.photos Photos (URL array)
stock_items[].variantId int Product ID from fulfillment.cz system
stock_items[].code string Product code from fulfillment.cz system
stock_items[].ext_code string Supplier product code
stock_items[].inventory_id int Item inventory
stock_items[].quality int Product quality (0 = damaged, 1 = undamaged)
stock_items[].expiration string|NULL Product expiration date (Y-m-d). If the value is NULL, expiration is not set.
stock_items[].batch_number string|NULL Product batch number. If the value is NULL, the batch is not set.
stock_items[].lot_id string|NULL Product Lot ID. If the value is NULL, the Lot ID is not set.
stock_items[].quantity int Number of pieces
stock_items[].reserved_quantity int Počet rezervovaných kusů celkem.
stock_items[].requested_quantity int Počet požadovaných kusů celkem.
Description:

inserting orders

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/orders

JSON request:

POST https://client.api.fulfillment.cz/v2/fulfillment/orders HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "idempotency_key": "381e62f7-d11e-4291-97d4-be8a4851d4c2",
    "recipient": {
        "email": "zakaznik@gmail.com",
        "phone": "777666555",
        "firstname": "Jan",
        "surname": "Novák",
        "street": "Korunní 21",
        "street_number": "",
        "city": "Praha 2",
        "zipcode": "12800",
        "company": ""
    },
    "delivery": {
        "id": 25,
        "value": 999.0,
        "place_id": null,
        "place_ext_id": null
    },
    "payment": {
        "cod": true,
        "variable_symbol": "1234567890",
        "price": 1001
    },
    "products": [
        {
            "code": "DS12345678",
            "ext_code": null,
            "quantity": 3
        }
    ],
    "sets": [
        {
            "code": "123456",
            "quantity": 3
        }
    ],
    "stock_items": [
        {
            "code": "DS12345678",
            "ext_code": null,
            "quantity": 3,
            "quality": 1,
            "expiration": null,
            "batch_number": null,
            "lot_id": null
        }
    ],
    "eshop": "https://www.uzasne-darky.cz",
    "channel": {
        "id": null,
        "ext_id": null,
        "name": "uzasne-darky.cz"
    },
    "currency_id": "EUR",
    "on_hold": true,
    "instant_reservation": true,
    "sscc": false,
    "remote_number": "123456789",
    "invoice": "JVBERi0xLjMNCiXi48/TDQoNCjE...",
    "damaged": false,
    "note": "Poznámka",
    "box_recommendation": "",
    "tickets": [
        {
            "barcode": "DR0705127648C",
            "data": "^XA..."
        }
    ],
    "dispatch_date": "2026-12-21"
}

Request fields description:
Key Type Mandatory Comment
idempotency_key string No Unique order identifier from external system (duplicate entry protection)
recipient.email string Yes Customer email
recipient.phone string Yes Customer phone number
recipient.firstname string Yes Customer first name
recipient.surname string Yes Customer last name
recipient.street string Yes Customer street address
recipient.street_number string No Číslo popisné. Pouze v případě, že neuvádíte číslo jako součást ulice (recipient.street).
recipient.city string Yes Customer city
recipient.zipcode string Yes Customer postal code
recipient.company string No Customer company
delivery.id int|NULL Podm. Delivery method ID.
delivery.value float Yes Value of goods in the order, in the order currency
delivery.place_id1 int|NULL No Pickup point ID (from the fulfillment.cz system). See Delivery methods - Pickup points
delivery.place_ext_id1 string|NULL No Pick-up point ID (from an external service, e.g., zasilkovna.cz).
payment.cod bool Yes Is the order cash on delivery (COD)?
payment.variable_symbol string|NULL Condition Variable symbol (mandatory for COD orders)
payment.price float Yes Amount payable in the order currency. If the order is prepaid, send 0.
products[].code string|NULL Condition Product code from fulfillment.cz system. Optional if the product ext_code is provided
products[].ext_code string|NULL Condition Supplier product code. Optional if the product code is provided
products[].quantity int Yes Product quantity
sets[] array No Product sets
sets[].code string Yes Product set code
sets[].quantity int Yes Product quantity in product set
stock_items[] array No Alternativní způsob zadání košíku na úrovni skladových položek (umožňuje určit kvalitu, expiraci, šarži a lot pro konkrétní položku). Pokud je stock_items uvedeno, klíče products a sets se ignorují.
stock_items[].code string|NULL Condition Kód produktu ze systému fulfillment.cz. Stačí uvést jeden z code / ext_code / ext_id.
stock_items[].ext_code string|NULL Condition Kód produktu dodavatele. Podporuje i kód produktového setu (rozpadne se na jednotlivé položky).
stock_items[].ext_id string|NULL Condition Externí identifikátor produktu z Vašeho systému.
stock_items[].quantity int Yes Quantity.
stock_items[].quality int No Kvalita zboží. 1 = nepoškozené (výchozí), 0 = zničeno, 2 a více = klientské poškození.
stock_items[].expiration string|NULL No Datum expirace ve formátu "Y-m-d".
stock_items[].batch_number string|NULL No Číslo šarže.
stock_items[].lot_id string|NULL No Identifikátor lotu.
eshop string No Store URL (including http(s))
channel object|NULL No Prodejní kanál objednávky. Použijte právě jeden z klíčů níže (priorita id > ext_id > name). Pokud channel neuvedete, kanál se odvodí z URL eshopu.
channel.id string|NULL No UUID prodejního kanálu v systému fulfillment.cz. Kanál musí patřit Vašemu účtu. Má přednost před ext_id i name.
channel.ext_id string|NULL No Externí ID prodejního kanálu z Vašeho systému. Kanál s tímto ext_id musí již existovat. Má přednost před name.
channel.name string|NULL No Název prodejního kanálu. Pokud kanál s tímto názvem zatím neexistuje, bude automaticky vytvořen.
currency_id string No Order currency, default is set to CZK. The order currency must match the currency of the destination country.
on_hold bool No Does the order require manual sending to dispatch? Use for unpaid orders that must not be sent automatically
instant_reservation bool No Create stock reservations immediately upon order creation (default = false)
sscc bool No Objednávka vyžaduje tisk SSCC štítků.
remote_number string Yes Order number from your system
invoice string|NULL No PDF invoice as a Base64-encoded string
damaged bool No Is this a shipment of damaged goods?
note string No Note
box_recommendation string No Recommended Packaging Material
tickets[] array No Sending shipment via own carrier. Custom labels (in ZPL format) may only be used with prior agreement from fulfillment.cz technical support.
tickets[].barcode string Yes Tracking number must match the barcode on the label
tickets[].data string Yes ZPL kód balíku, nebo base64 encoded PDF contents (JVBERi0xLjMNCiXi48/TDQoNCjE...).
dispatch_date string|NULL No Fill in if you want to delay order dispatch to a specific date (Y-m-d format)

1 to add a pickup point, use either an ID from our database or the service provider's database. The order will be accepted even if you send no ID (even if required by the shipping method), but it will not be forwarded to the supplier and the client will be prompted to add it in the admin panel.


JSON response:

HTTP/1.1 201
Content-type: application/json;

{
    "code": 201,
    "message": "",
    "data": {
        "id": 1
    }
}
Response fields description:
Key Type Comment
id string Order UUID in fulfillment.cz system
Description:

edit orders

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/orders/<orderId>

JSON request:

PUT https://client.api.fulfillment.cz/v2/fulfillment/orders/<orderId> HTTP/1.1
Authorization: TOKEN
Accept: application/json
Idempotency-Key: string1

1 recommended header to prevent duplicate request submission. Use any string (char 36) unique to the specific request. Ideally UUID4 Wikipedia, PHP library

{
    "recipient": {
        "email": "zakaznik@gmail.com",
        "phone": "777666555",
        "firstname": "Jan",
        "surname": "Novák",
        "street": "Korunní 21",
        "street_number": "",
        "city": "Praha 2",
        "zipcode": "12800",
        "company": ""
    },
    "delivery": {
        "id": 25,
        "value": 999.0,
        "place_id": null,
        "place_ext_id": null
    },
    "payment": {
        "cod": true,
        "variable_symbol": "1234567890",
        "price": 1001
    },
    "products": [
        {
            "code": "DS12345678",
            "ext_code": null,
            "quantity": 3
        }
    ],
    "sets": [
        {
            "code": "123456",
            "quantity": 3
        }
    ],
    "stock_items": [
        {
            "code": "DS12345678",
            "ext_code": null,
            "quantity": 3,
            "quality": 1,
            "expiration": null,
            "batch_number": null,
            "lot_id": null
        }
    ],
    "eshop": "https://www.uzasne-darky.cz",
    "channel": {
        "id": null,
        "ext_id": null,
        "name": "uzasne-darky.cz"
    },
    "currency_id": "EUR",
    "on_hold": true,
    "instant_reservation": true,
    "sscc": true,
    "remote_number": "123456789",
    "invoice": "JVBERi0xLjMNCiXi48/TDQoNCjE...",
    "damaged": false,
    "note": "Poznámka",
    "box_recommendation": "",
    "tickets": [
        {
            "barcode": "DR0705127648C",
            "data": "^XA..."
        }
    ],
    "dispatch_date": "2026-12-21"
}

Request fields description:
Key Type Mandatory Comment
recipient.email string Yes Customer email
recipient.phone string Yes Customer phone number
recipient.firstname string Yes Customer first name
recipient.surname string Yes Customer last name
recipient.street string Yes Customer street address
recipient.street_number string No Číslo popisné. Pouze v případě, že neuvádíte číslo jako součást ulice (recipient.street).
recipient.city string Yes Customer city
recipient.zipcode string Yes Customer postal code
recipient.company string No Customer company
delivery.id int|NULL Podm. Delivery method ID.
delivery.value float Yes Value of goods in the order, in the order currency
delivery.place_id1 int|NULL No Pickup point ID (from the fulfillment.cz system). See Delivery methods - Pickup points
delivery.place_ext_id1 string|NULL No Pick-up point ID (from an external service, e.g., zasilkovna.cz).
payment.cod bool Yes Is the order cash on delivery (COD)?
payment.variable_symbol string|NULL Condition Variable symbol (mandatory for COD orders)
payment.price float Yes Amount payable in the order currency. If the order is prepaid, send 0.
products[].code string|NULL Condition Product code from fulfillment.cz system. Optional if the product ext_code is provided
products[].ext_code string|NULL Condition Supplier product code. Optional if the product code is provided
products[].quantity int Yes Product quantity
sets[] array No Product sets
sets[].code string Yes Product set code
sets[].quantity int Yes Product quantity in product set
stock_items[] array No Alternativní způsob zadání košíku na úrovni skladových položek (umožňuje určit kvalitu, expiraci, šarži a lot pro konkrétní položku). Pokud je stock_items uvedeno, klíče products a sets se ignorují.
stock_items[].code string|NULL Condition Kód produktu ze systému fulfillment.cz. Stačí uvést jeden z code / ext_code / ext_id.
stock_items[].ext_code string|NULL Condition Kód produktu dodavatele. Podporuje i kód produktového setu (rozpadne se na jednotlivé položky).
stock_items[].ext_id string|NULL Condition Externí identifikátor produktu z Vašeho systému.
stock_items[].quantity int Yes Quantity.
stock_items[].quality int No Kvalita zboží. 1 = nepoškozené (výchozí), 0 = zničeno, 2 a více = klientské poškození.
stock_items[].expiration string|NULL No Datum expirace ve formátu "Y-m-d".
stock_items[].batch_number string|NULL No Číslo šarže.
stock_items[].lot_id string|NULL No Identifikátor lotu.
eshop string No Store URL (including http(s))
channel object|NULL No Prodejní kanál objednávky. Použijte právě jeden z klíčů níže (priorita id > ext_id > name). Pokud channel neuvedete, kanál se odvodí z URL eshopu.
channel.id string|NULL No UUID prodejního kanálu v systému fulfillment.cz. Kanál musí patřit Vašemu účtu. Má přednost před ext_id i name.
channel.ext_id string|NULL No Externí ID prodejního kanálu z Vašeho systému. Kanál s tímto ext_id musí již existovat. Má přednost před name.
channel.name string|NULL No Název prodejního kanálu. Pokud kanál s tímto názvem zatím neexistuje, bude automaticky vytvořen.
currency_id string No Order currency, default is set to CZK. The order currency must match the currency of the destination country.
on_hold bool No Does the order require manual sending to dispatch? Use for unpaid orders that must not be sent automatically
instant_reservation bool No Create stock reservations immediately upon order creation (default = false)
sscc bool No Objednávka vyžaduje tisk SSCC štítků.
remote_number string Yes Order number from your system
invoice string|NULL No PDF invoice as a Base64-encoded string
damaged bool No Is this a shipment of damaged goods?
note string No Note
box_recommendation string No Recommended Packaging Material
tickets[] array No Sending shipment via own carrier. Custom labels (in ZPL format) may only be used with prior agreement from fulfillment.cz technical support.
tickets[].barcode string Yes Tracking number must match the barcode on the label
tickets[].data string Yes ZPL kód balíku, nebo base64 encoded PDF contents (JVBERi0xLjMNCiXi48/TDQoNCjE...).
dispatch_date string|NULL No Fill in if you want to delay order dispatch to a specific date (Y-m-d format)

1 to add a pickup point, use either an ID from our database or the service provider's database. The order will be accepted even if you send no ID (even if required by the shipping method), but it will not be forwarded to the supplier and the client will be prompted to add it in the admin panel.


JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
Description:

send order to dispatch

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/orders/<orderId>

JSON request:

PATCH https://client.api.fulfillment.cz/v2/fulfillment/orders/<orderId> HTTP/1.1
Authorization: TOKEN
Accept: application/json

JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
Description:

order cancellation (status changed to "cancelled")

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/orders/<orderId>

JSON request:

DELETE https://client.api.fulfillment.cz/v2/fulfillment/orders/<orderId> HTTP/1.1
Authorization: TOKEN
Accept: application/json

JSON response 1:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": ""
}
JSON response 2:

HTTP/1.1 202
Content-type: application/json;

{
    "code": 202,
    "message": ""
}

V případě, kdy je objednávka v procesu expedice dojde pouze k žádosti o zastavení expedice.


Description:

seznam událostí objednávek.

Endpoint vrací maximálně 1000 událostí na jedno volání. Pokud odpověď obsahuje 1000 záznamů, je pravděpodobné, že existují další - opakujte volání s lastSeenId = poslední internal_id z předchozí odpovědi, dokud nedostanete méně než 1000.

Pozn.: Pole internal_id není souvislá řada - mezery v číslování jsou normální. Spoléhejte pouze na vzestupné řazení a stránkujte podle posledního vráceného internal_id.

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/order-event-store?lastSeenId=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/order-event-store?lastSeenId=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
lastSeenId int Yes Kurzor - vrací se pouze události s internal_id > lastSeenId, řazené vzestupně. Pro první volání použijte 0. Pro stránkování použijte poslední internal_id z předchozí odpovědi.
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "data": [
        {
            "internal_id": 3,
            "event_id": "3754fe54-ade5-4c88-bff2-f775c5d94ee8",
            "event_type": "OrderPushedToExpedition",
            "data": {
                "id": "880fcdc2-6c02-4f15-a8a4-b1e872020cc5",
                "remote_id": null,
                "remote_number": "123"
            },
            "created": "2026-05-18 14:54:25"
        },
        {
            "internal_id": 5,
            "event_id": "f5f961e1-1300-419d-ac5a-ecf271c980d8",
            "event_type": "OrderPacked",
            "data": {
                "id": "443eca2b-3bb4-4c48-919c-9d2fadca85ca",
                "remote_id": null,
                "remote_number": "123",
                "delivery": {
                    "id": 2,
                    "value": 999.0,
                    "name": "DPD",
                    "tracking_number": "xyz",
                    "status": "inTransit"
                }
            },
            "created": "2026-05-18 14:57:22"
        }
    ]
}
Response fields description:
Key Type Comment
internal_id int Interní pořadové ID události. Slouží jako kurzor pro stránkování přes lastSeenId.
event_id string UUID4 události (shoduje se s event_id doručeným webhookem).
event_type string Typ události. Přehled povolených hodnot a význam viz sekce Webhooks → Objednávky.
data object Payload události. Struktura se liší podle event_type a je identická s payloadem doručeným webhookem - viz sekce Webhooks → Objednávky.
created string Datum a čas vzniku události (Y-m-d H:i:s).
Description:

list of active delivery methods

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/deliveries

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/deliveries HTTP/1.1
Authorization: TOKEN
Accept: application/json

JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "data": [
        {
            "id": 1,
            "name": "Česká pošta",
            "has_place": 1
        }
    ]
}
Response fields description:
Key Type Comment
id int Delivery method ID
name string Name
has_place int Indicates whether a specific shipping method requires a pickup point to be sent (0 = NO; 1 = YES). See also "Delivery Methods - Pickup points

Warehouse mgmt

Description:

list of stock variants

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-variants?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/warehouse-variants?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
variant_id string No Variant ID (to display only a specific variant)
variant_ids array No Variant IDs (array)
quantity_from int No Undamaged stock quantity ≥ quantity_from
damaged_quantity_from int No Damaged stock quantity ≥ damaged_quantity_from
total_quantity_from int No Total (damaged or undamaged) stock quantity ≥ total_quantity_from
limit int No Number of requested records (default = 100, max = 1000)
offset int No Determines the starting offset for results (default = 0)
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "variant_id": 1887274,
            "code": "DS62202039",
            "ext_code": "123",
            "quantity": 3,
            "available_quantity": 2,
            "damaged_quantity": 0,
            "reserved_quantity": 1,
            "requested_quantity": 0,
            "mastercase_quantity": 303,
            "mastercase_available_quantity": 302,
            "mastercase_reserved_quantity": 1,
            "mastercase_requested_quantity": 0,
            "price_per_unit": 99,
            "stock_items": [
                {
                    "inventory_id": "d52f6096-e0c0-4d86-9075-85a3147c815c",
                    "quality": 1,
                    "expiration": "2030-12-31",
                    "batch_number": null,
                    "lot_id": null,
                    "serial_numbers": ["SN1", "SN2", "SN3"]
                    "quantity": 3,
                    "available_quantity": 2,
                    "reserved_quantity": 1,
                    "requested_quantity": 0
                }
            ]
        }
    ]
}
Response fields description:
Key Type Comment
variant_id int Variant ID from fulfillment.cz system
code string Variant code from fulfillment.cz system
code string Your variant code
quantity int Total undamaged stock quantity (subtract reserved_quantity for available stock)
available_quantity int Available quantity of undamaged stock in total, after subtracting reservations and requests (can be negative).
damaged_quantity int Total damaged stock quantity
reserved_quantity int Reserved quantity for pending orders
requested_quantity int Requested variant quantity for pending orders
mastercase_quantity int Počet kusů skladem nepoškozeno celkem příjmutých v kartonech či na paletách (nezahrnuje počet kusového SKU).
mastercase_available_quantity int Dostupný počet volných kusů skladem nepoškozeno celkem příjmutých v kartonech či na paletách (nezahrnuje počet kusového SKU).
mastercase_reserved_quantity int Počet rezervovaných kusů pro nevyřízené objednávky příjmutých v kartonech či na paletách (nezahrnuje počet kusového SKU).
mastercase_requested_quantity int Počet žádostí (ks) o variantu pro nevyřízené objednávky příjmutých v kartonech či na paletách (nezahrnuje počet kusového SKU).
price_per_unit float|NULL Average price per unit
stock_items array Rozpad unikátních zásob varianty
stock_items[].inventory_id string Item inventory
stock_items[].quality int Kvalita produktu ([0, 2 - N] = poškozený, 1 = nepoškozený)
stock_items[].expiration string|NULL Product expiration date (Y-m-d). If the value is NULL, expiration is not set.
stock_items[].batch_number string|NULL Product batch number. If the value is NULL, the batch is not set.
stock_items[].lot_id string|NULL Product Lot ID. If the value is NULL, the Lot ID is not set.
stock_items[].serial_number array Sériové čísla varianty skladem
stock_items[].quantity int Počet kusů skladem
stock_items[].available_quantity int Počet kusů k dispozici
stock_items[].reserved_quantity int Počet kusů v rezervaci
stock_items[].reserved_quantity int Počet kusů čekajících na naskldění

Description:

list of requests

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-requests?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/warehouse-requests?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id string No Request ID
limit int No Number of requested records (default = 100, max = 1000)
offset int No Determines the starting offset for results (default = 0)
JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "id": 1,
            "variant_id": 1,
            "variant_code": "DS12471440",
            "variant_ext_code": "xyz",
            "quantity": 3,
            "created": "2026-12-31 12:12:12",
        }
    ]
}
Response fields description:
Key Type Comment
id int Request ID
variant_id int Product ID from fulfillment.cz system
variant_code string Product code from fulfillment.cz system
variant_ext_code string Supplier product code
quantity int Number of pieces
created string Request creation date and time

Description:

list of movements

Full address:

https://client.api.fulfillment.cz/v2/fulfillment/warehouse-movements?limit=100&offset=0

JSON request:

GET https://client.api.fulfillment.cz/v2/fulfillment/warehouse-movements?limit=30&offset=0 HTTP/1.1
Authorization: TOKEN
Accept: application/json

Request parameters description:
Key Type Mandatory Comment
id int No Movement ID
idFrom int No Movement ID from (ID is an ascending integer...)
limit int No Number of requested records (default = 100, max = 1000)
offset int No Determines the starting offset for results (default = 0)
dateFrom string No Start date in format Y-m-d (e.g., 2020-01-31).
dateTo string No End date in format Y-m-d (e.g., 2020-01-31).

Záznamy jsou vždy řazeny od nejnovějšího po nejstarší.

JSON response:

HTTP/1.1 200
Content-type: application/json;

{
    "code": 200,
    "message": "",
    "totalCount": 1,
    "data": [
        {
            "id": 1,
            "variant_id": 1,
            "movement": "in",
            "fulfillment_order_id": null,
            "preload_id": 1751,
            "reload_id": null,
            "price_per_unit": 99.99,
            "extra_cost_per_unit": 0.0,
            "quantity": 3,
            "damaged_quantity": 0,
            "created": "2026-12-31 12:12:12",
        }
    ]
}
Response fields description:
Key Type Comment
id int Movement ID
variant_id int Variant ID from fulfillment.cz system
movement string Movement direction ("in" | "out")
fulfillment_order_id string|NULL Fulfillment order ID in UUID4 format (IN = receiving return
preload_id int|NULL Receiving ID
reload_id int|NULL Transformation ID
price_per_unit float|NULL Unit price at which the item was received into stock
extra_cost_per_unit float|NULL Unit receiving cost per item
quantity int Number of pieces
damaged_quantity int Damaged quantity
created string Creation date and time in format "Y-m-d H:i:s"


WEBHOOKs

Description:

order creation

Webhook request:

POST $endpoint1 HTTP/1.1
Authorization: $token2
Content-Type: application/json

1 URL endpoint, configured for your store for which the order is created

2 Your fulfillment.cz API authorization token

Webhook parameters:
Key Type Comment
event_id string Unique event identifier (UUID4 format)
event_type string Event type
data array Event data
created string Event creation date and time in format "Y-m-d H:i:s"
Example:
{
    "event_id": "c7f0963e-0f72-46bf-bdd1-fe6eec625960",
    "event_type": "OrderCreated",
    "data": {
        "id": "7cad37e9-2624-480d-8c5f-68985522e7d0",
        "warehouse_id": "677bb033-e50e-4ddf-8a5c-97817314e650",
        "number": "FF701392",
        "remote_id": null,
        "remote_number": "1",
        "currency_id": "CZK",
        "on_hold": false,
        "recipient": {
            "email": "zakaznik@gmail.com",
            "phone": "777666555",
            "firstname": "Jan",
            "surname": "Novák",
            "street": "Korunní 21",
            "city": "Praha 2",
            "zipcode": "12800",
            "company": ""
        },
        "delivery": {
            "id": 25,
            "value": 999.0,
            "name": "DPD",
            "tracking_number": "xyz",
            "status": "inTransit"
        },
        "payment": {
            "cod": true,
            "variable_symbol": "1234567890",
            "price": 1001
        },
        "products": [
            {
                "name": "Horké kameny",
                "image": "https://cdn.fulfillment.cz/images/d/e/a/b/0/8/0/c/8/9/7c65758192e4f827ecxyz.png",
                "code": "DS12345678",
                "ext_code": null,
                "quantity": 3
            }
        ],
        "note": "",
        "tickets": [
            {
                "barcode": "DR0705127648C",
            }
        ],
        "created": "2020-10-28 06:45:23"
    },
    "created": "2020-10-28 06:45:23",
}
Event parameters:

For detailed parameter description see REST API - Orders

Expected response:

HTTP/1.1 200
Content-type: application/json;

	
Description:

order data change

POST $endpoint1 HTTP/1.1
Authorization: $token2
Content-Type: application/json

1 URL endpoint, configured for your store for which the order is created

2 Your fulfillment.cz API authorization token

Webhook parameters:
Key Type Comment
event_id string Unique event identifier (UUID4 format)
event_type string Event type
data array Event data
created string Event creation date and time in format "Y-m-d H:i:s"
Example:
{
    "event_id": "c7f0963e-0f72-46bf-bdd1-fe6eec625960",
    "event_type": "OrderUpdated",
    "data": {
        "id": "7cad37e9-2624-480d-8c5f-68985522e7d0",
        "number": "FF701392",
        "remote_id": null,
        "remote_number": "1",
        "currency_id": "CZK",
        "on_hold": false,
        "recipient": {
            "email": "zakaznik@gmail.com",
            "phone": "777666555",
            "firstname": "Jan",
            "surname": "Novák",
            "street": "Korunní 21",
            "city": "Praha 2",
            "zipcode": "12800",
            "company": ""
        },
        "delivery": {
            "id": 25,
            "value": 999.0,
            "name": "DPD",
            "tracking_number": "xyz",
            "status": "inTransit"
        },
        "payment": {
            "cod": true,
            "variable_symbol": "1234567890",
            "price": 1001
        },
        "products": [
            {
                "name": "Horké kameny",
                "image": "https://cdn.fulfillment.cz/images/d/e/a/b/0/8/0/c/8/9/7c65758192e4f827ecxyz.png",
                "code": "DS12345678",
                "ext_code": null,
                "quantity": 3
            }
        ],
        "note": "",
        "tickets": [
            {
                "barcode": "DR0705127648C",
            }
        ],
        "created": "2020-10-28 06:45:23"
    },
    "created": "2020-10-28 06:45:23",
}
Event parameters:

For detailed parameter description see REST API - Orders

Expected response:

HTTP/1.1 200
Content-type: application/json;

	
Description:

order cancellation

Webhook request:

POST $endpoint1 HTTP/1.1
Authorization: $token2
Content-Type: application/json

[...]
